/// Copyright (c) 2012 Ecma International.  All rights reserved. 
/// Ecma International makes this code available under the terms and conditions set
/// forth on http://hg.ecmascript.org/tests/test262/raw-file/tip/LICENSE (the 
/// "Use Terms").   Any redistribution of this code must retain the above 
/// copyright and this notice and otherwise comply with the Use Terms.
/**
 * @path ch15/15.4/15.4.4/15.4.4.20/15.4.4.20-1-10.js
 * @description Array.prototype.filter applied to the Math object
 */


function testcase() {
        function callbackfn(val, idx, obj) {
            return '[object Math]' === Object.prototype.toString.call(obj);
        }

        try {
            Math.length = 1;
            Math[0] = 1;
            var newArr = Array.prototype.filter.call(Math, callbackfn);
            return newArr[0] === 1;
        } finally {
            delete Math[0];
            delete Math.length;
        }
    }
runTestCase(testcase);
